From 7d56cac91fd6076d3411fb03156e52777c4faf40 Mon Sep 17 00:00:00 2001
From: Fritz Elfert <fritz@fritz-elfert.de>
Date: Feb 20 2021 21:15:58 +0000
Subject: [PATCH 1/4] Add missing manifest.json


---

diff --git a/jitsi-meet/jitsi-meet.spec b/jitsi-meet/jitsi-meet.spec
index b842081..dd9be6d 100644
--- a/jitsi-meet/jitsi-meet.spec
+++ b/jitsi-meet/jitsi-meet.spec
@@ -115,6 +115,7 @@ make source-package
 # site
 install -m 0755 -p -d %{buildroot}%{_datadir}/%{name}
 tar xjvf jitsi-meet.tar.bz2 -C %{buildroot}%{_datadir}/%{name} --strip 1
+install -m 0644 -t %{buildroot}%{_datadir}/%{name} manifest.json
 
 for country in $(ls "node_modules/i18n-iso-countries/langs"); do
     install -m644 "node_modules/i18n-iso-countries/langs/${country}" %{buildroot}%{_datadir}/%{name}/lang/countries-${country}

From ef6993134349328521a63c092c9ee9c46aa6f17c Mon Sep 17 00:00:00 2001
From: Fritz Elfert <fritz@fritz-elfert.de>
Date: Feb 20 2021 22:01:22 +0000
Subject: [PATCH 2/4] Configuration for jibri in jitsi-meet


---

diff --git a/jitsi-meet/0003-enable-jibri.patch b/jitsi-meet/0003-enable-jibri.patch
new file mode 100644
index 0000000..1713979
--- /dev/null
+++ b/jitsi-meet/0003-enable-jibri.patch
@@ -0,0 +1,31 @@
+diff -Naur a/config.js b/config.js
+--- a/config.js	2021-02-20 22:55:06.756059503 +0100
++++ b/config.js	2021-02-20 22:59:49.577830223 +0100
+@@ -189,7 +189,7 @@
+     // Recording
+ 
+     // Whether to enable file recording or not.
+-    // fileRecordingsEnabled: false,
++    fileRecordingsEnabled: true,
+     // Enable the dropbox integration.
+     // dropbox: {
+     //     appKey: '<APP_KEY>' // Specify your app key here.
+@@ -210,7 +210,7 @@
+     // fileRecordingsServiceSharingEnabled: false,
+ 
+     // Whether to enable live streaming or not.
+-    // liveStreamingEnabled: false,
++    liveStreamingEnabled: true,
+ 
+     // Transcription (in interface_config,
+     // subtitles and buttons can be configured)
+@@ -691,6 +691,9 @@
+      ignoreStartMuted
+      */
+ 
++    // Do not show recorder as regular participant
++    hiddenDomain: 'recorder.__jitsiFQDN__',
++
+ 
+     // Allow all above example options to include a trailing comma and
+     // prevent fear when commenting out the last value.
diff --git a/jitsi-meet/jitsi-meet.spec b/jitsi-meet/jitsi-meet.spec
index dd9be6d..4e986cb 100644
--- a/jitsi-meet/jitsi-meet.spec
+++ b/jitsi-meet/jitsi-meet.spec
@@ -17,7 +17,7 @@ Source5:    README.fedora
 # this makes it easier to pick up changes upstream
 Patch0:     0001-harmonize-placeholders.patch
 Patch1:     0002-disable-thirdparty.patch
-#Patch2:     0003-use-system-ssl-conf.patch
+Patch2:     0003-enable-jibri.patch
 
 BuildArch:      noarch
 BuildRequires:  nodejs
@@ -54,7 +54,7 @@ Requires:       jicofo = 2.0.%{project_version}
 Requires:       %{name}-prosody = 2.0.%{project_version}
 Requires:       %{name}-webconfig = 2.0.%{project_version}
 Suggests:       coturn
-Suggests:       jibri = 8.0
+Suggests:       jibri = 8.0.g99288dc
 Suggests:       jigasi = 1.1
 
 %description -n %{project}

From 1d2a31a86e7ddb9605b4531710d5f6fbb19d316d Mon Sep 17 00:00:00 2001
From: Fritz Elfert <fritz@fritz-elfert.de>
Date: Feb 20 2021 22:01:29 +0000
Subject: [PATCH 3/4] Configuration for jibri in jicofo


---

diff --git a/jicofo/sip-communicator.properties b/jicofo/sip-communicator.properties
index 53bb17b..8bd52a9 100644
--- a/jicofo/sip-communicator.properties
+++ b/jicofo/sip-communicator.properties
@@ -1 +1,3 @@
 org.jitsi.jicofo.BRIDGE_MUC=JvbBrewery@internal.auth.__jitsiFQDN__
+org.jitsi.jicofo.jibri.BREWERY=JibriBrewery@internal.auth.__jitsiFQDN__
+org.jitsi.jicofo.jibri.PENDING_TIMEOUT=90

From e729a18ee26c522b1249c436244ea3c54244ee0e Mon Sep 17 00:00:00 2001
From: Fritz Elfert <fritz@fritz-elfert.de>
Date: Feb 20 2021 22:01:29 +0000
Subject: [PATCH 4/4] Configuration for jibri in jitsi-meet-prosody


---

diff --git a/jitsi-meet/jitsi-meet.prosody b/jitsi-meet/jitsi-meet.prosody
index 89aefab..aec5cd6 100644
--- a/jitsi-meet/jitsi-meet.prosody
+++ b/jitsi-meet/jitsi-meet.prosody
@@ -48,6 +48,13 @@ VirtualHost "__jitsiFQDN__"
     main_muc = "conference.__jitsiFQDN__"
     -- muc_lobby_whitelist = { "recorder.__jitsiFQDN__" } -- Here we can whitelist jibri to enter lobby enabled rooms
 
+VirtualHost "recorder.__jitsiFQDN__"
+    modules_enabled = {
+        "ping";
+    }
+    authentication = "internal_plain"
+    c2s_require_encryption = false
+
 Component "conference.__jitsiFQDN__" "muc"
     storage = "memory"
     modules_enabled = {

